/*******************************************************************************
 * Copyright 2024 ModalAI Inc.
 * Author: Thomas Patton (thomas.patton@modalai.com)
 ******************************************************************************/

/*******************************************************************************
 * These APIs require run on the CPU and can be built for any platform
 ******************************************************************************/
#include <modalcv/common.h>  // common functions
#include <modalcv/overlay.h> // draw strings and points on an image
#include <modalcv/undistort_cpu.h> // undistort images with the CPU
#include <modalcv/point_cloud.h> // point cloud functions

/*******************************************************************************
 * These APIs require CVP hardware on QRB5165
 ******************************************************************************/
#include <modalcv/dfs.h> // depth from Stereo
#include <modalcv/fpx.h> // feature point extraction
#include <modalcv/dcm.h> // feature descriptor calculation and match
#include <modalcv/undistort_cvp.h> // undistort using CVP hardware
#include <modalcv/pyr.h> // image pyramiding
#include <modalcv/pyr_fpx.h> // image pyramiding + fpx
#include <modalcv/opt_flow.h> // optical flow
#include <modalcv/ncc.h> // normalized cross correlation
#include <modalcv/alt_filter.h> // filter
#include <modalcv/feature_tracker.h> // a feature tracker implementation

