/*******************************************************************************
 * Copyright 2022 ModalAI Inc.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 *
 * 3. Neither the name of the copyright holder nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * 4. The Software is used solely in conjunction with devices provided by
 *    ModalAI Inc.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 ******************************************************************************/


#ifndef MODALCV_OVERLAY_H
#define MODALCV_OVERLAY_H


#ifdef __cplusplus
extern "C" {
#endif


#include <stdint.h>


// draw a single character or whole string in small font
void mcv_overlay_draw_char(uint8_t *frame, int width, int height, char c, int x, int y, uint8_t val);
void mcv_overlay_write_string(uint8_t *frame, int width, int height, char *string, int x, int y, uint8_t val);
void mcv_overlay_write_string_black(uint8_t *frame, int width, int height, char *string, int x, int y);
void mcv_overlay_write_string_white(uint8_t *frame, int width, int height, char *string, int x, int y);


// draw a single character or whole string in large font
void mcv_overlay_draw_char_large(uint8_t *frame, int width, int height, char c, int x, int y, uint8_t val);
void mcv_overlay_write_string_large(uint8_t *frame, int width, int height, char *string, int x, int y, uint8_t val);
void mcv_overlay_write_string_large_black(uint8_t *frame, int width, int height, char *string, int x, int y);
void mcv_overlay_write_string_large_white(uint8_t *frame, int width, int height, char *string, int x, int y);


// good for marking feature points. Normal plus sign is white in the center
// with a black border. inverted reverses these two colors
void mcv_overlay_draw_plus(uint8_t *frame, int width, int height, int x, int y);
void mcv_overlay_draw_plus_inverted(uint8_t *frame, int height, int width, int x, int y);



#ifdef __cplusplus
}
#endif

#endif // end #define MODALCV_OVERLAY_H
